import request from '@/utils/request'

// 查询售后子列表
export function listStoreAfterSalesItem(query) {
  return request({
    url: '/store/storeAfterSalesItem/list',
    method: 'get',
    params: query
  })
}

// 查询售后子详细
export function getStoreAfterSalesItem(id) {
  return request({
    url: '/store/storeAfterSalesItem/' + id,
    method: 'get'
  })
}

// 新增售后子
export function addStoreAfterSalesItem(data) {
  return request({
    url: '/store/storeAfterSalesItem',
    method: 'post',
    data: data
  })
}

// 修改售后子
export function updateStoreAfterSalesItem(data) {
  return request({
    url: '/store/storeAfterSalesItem',
    method: 'put',
    data: data
  })
}

// 删除售后子
export function delStoreAfterSalesItem(id) {
  return request({
    url: '/store/storeAfterSalesItem/' + id,
    method: 'delete'
  })
}

// 导出售后子
export function exportStoreAfterSalesItem(query) {
  return request({
    url: '/store/storeAfterSalesItem/export',
    method: 'get',
    params: query
  })
}